import pandas as pd

def add_lags(df, which_column='new_cases'):
    lags_to_add = [1, 2, 3, 7, 14, 21, 28]
    for i in lags_to_add:
        df[f'cases_lag_{i}'] = df['new_cases'].shift(i)

    df = df.dropna().reset_index(drop=True)
    return df
